설정 UI (엔드포인트 템플릿, 프로토콜, 필수 비시크릿 헤더 필드, 문서 링크)를 구동하는 벤더 블라인드 사전 설정 카탈로그를 반환합니다. 비밀이 포함되어 있지 않습니다. 프로젝트 범위는 경로 ID 경로 매개변수에 의해 전달됩니다.
GET /api/v1/projects/{id}/trace-export/presets
curl \
--request GET 'https://agentengine.mongodb.com/api/v1/projects/{id}/trace-export/presets' \
--header "Authorization: $API_KEY"
응답 예시(406)
작업을 사용할 수 없습니다.
{
"detail": "This operation is not available in API version 2026-09-20-preview.",
"error": 406,
"errorCode": "OPERATION_NOT_IN_API_VERSION",
"parameters": [
"Accept"
],
"reason": "Not Acceptable"
}
{
"detail": "This operation supports text/event-stream, which the Accept header excludes. Remove unsupported media-type parameters or accept this type with a positive q value.",
"error": 406,
"errorCode": "UNACCEPTABLE_MEDIA_TYPE",
"parameters": [
"Accept"
],
"reason": "Not Acceptable"
}
{
"detail": "The requested API version is not supported. Supported versions: 2026-09-20-preview.",
"error": 406,
"errorCode": "UNSUPPORTED_API_VERSION",
"parameters": [
"Accept"
],
"reason": "Not Acceptable"
}
응답 예시(406)
{
"detail": "This operation is not available in API version 2026-09-20-preview.",
"error": 406,
"errorCode": "OPERATION_NOT_IN_API_VERSION",
"parameters": [
"Accept"
],
"reason": "Not Acceptable"
}
응답 예시(200)
{
"presets": [
{
"display_name": "string",
"docs_url": "string",
"endpoint_template": "string",
"headers": {
"additionalProperty1": "string",
"additionalProperty2": "string"
},
"id": "string",
"protocol": "string",
"resource_attributes": {
"additionalProperty1": "string",
"additionalProperty2": "string"
},
"secret_header_keys": [
"string"
]
}
]
}
응답 예시(200)
{
"presets": [
{
"display_name": "string",
"docs_url": "string",
"endpoint_template": "string",
"headers": {
"additionalProperty1": "string",
"additionalProperty2": "string"
},
"id": "string",
"protocol": "string",
"resource_attributes": {
"additionalProperty1": "string",
"additionalProperty2": "string"
},
"secret_header_keys": [
"string"
]
}
]
}
응답 예시(401)
{
"code": "string",
"error": "string",
"success": true
}
응답 예시(401)
{
"code": "string",
"error": "string",
"success": true
}
응답 예시(403)
{
"code": "string",
"error": "string",
"success": true
}
응답 예시(403)
{
"code": "string",
"error": "string",
"success": true
}